
.moonstone_festival {
    position: relative;
    display: block;
    width: 100%;
    height: 1811px;
    background: no-repeat top center url(../static/images/moonstone_festival/background.jpg);
    &__section {
        position: relative;
        display: block;
        width: 100%;
        &--head {
            height: 720px;
        }
        &--condition {
            height: 325px;
        }
        &--exchange {
            height: 700px;
        }
    }
}
.condition {
    position: relative;
    display: block;
    width: 100%;
    &__inner {
        position: relative;
        display: block;
        width: 740px;
        margin: 0px auto;
    }
    &__head {
        position: relative;
        display: block;
        width: 292px;
        height: 94px;
        margin: 0px auto;
        // background: no-repeat center url(../static/images/airpay_dec2018/head_block.png);
        background: no-repeat center url(../static/images/moonstone_festival/head_condition.png);
    }
    &__text {
        font-size: 17px;
        color: #FFFFFF;
        padding: 20px;
        li {
            list-style-type: decimal;
        }
        span {
            color: #ffba00;
            font-weight: bolder;
        }
    }
}
.exchange {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    background-color: rgba(100,0,0,0.2);
    &__set {
        top: 78px;
        left: calc((100% - 799px )/ 2);
        position: absolute;
        display: block;
        width: 799px;
        height: 132px;
        background-color: rgba(0,100,0,0.2);
        background: no-repeat center url(../static/images/moonstone_festival/background_monster_amount.png);
        &--moonstone {
            top: 350px;
            left: 210px;
            display: block;
            width: 286px;
            height: 191px;
            background-color: rgba(0,100,0,0.2);
            background: no-repeat center url(../static/images/moonstone_festival/background_exchange.png);
        }
        &--soulstone {
            top: 350px;
            left: auto;
            right: 210px;
            display: block;
            width: 286px;
            height: 191px;
            background-color: rgba(0,100,0,0.2);
            background: no-repeat center url(../static/images/moonstone_festival/background_exchange.png);
        }
    }
    &__head {
        position: absolute;
        top: 0px;
        left: 50%;
        display: block;
        width: 292px;
        height: 94px;
        transform: translate3d(-50%,-50%,0);
        &--monster {
            background: no-repeat center url(../static/images/moonstone_festival/head_monster_amount.png);
        }
        &--moonstone {
            background: no-repeat center url(../static/images/moonstone_festival/head_moonstone.png);
        }
        &--soulstone {
            background: no-repeat center url(../static/images/moonstone_festival/head_soulstone.png);
        }
    }
    &__text {
        margin-top: 35px;
        display: block;
        color: #FFFFFF;
        font-size: 60px;
        text-align: center;
    }
    &__image {
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 100%;
    }
    &__button {
        position: absolute;
        bottom: 0px;
        left: 50%;
        transform: translate3d(-50%,50%,0);
        display: block;
        width: 153px;
        height: 45px;
        background: no-repeat url(../static/images/moonstone_festival/btn_echange.png);
        &--active {
            cursor: position;
            background-position: top center;
        }
        &--inactive {
            cursor: no-drop;
            background-position: center center;
        }
        &--received {
            cursor: no-drop;
            background-position: bottom center;
        }
    }
}
